#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "svg.h"

using namespace std;

struct Input
{
    vector<double> numbers;
    size_t bin_count{};
};

Input input_data(istream& ine)
{
    size_t number_count;
    cerr << "Number count: ";
    ine >> number_count;
    Input in;
    in.numbers.resize(number_count);

    cerr << "Numbers: ";
    for (size_t i = 0; i < number_count; i++) {
        ine >> in.numbers[i];
    }
    cerr << "Enter bin count:";
    ine >> in.bin_count;
    return in;
}

int main()
{
    size_t max_count;
    auto in = input_data(cin);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
}
